Bug 445631

Summary: gdm does not show Language menu first time
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: gdmAssignee: jmccann
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 9CC: cschalle, dcantrell, i18n-bugs, jonstanley, piotrdrag, rstrode, wwoods
Target Milestone: ---Keywords: i18n, Regression, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.22.0-5.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-23 01:39:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
patch none

Description Jens Petersen 2008-05-08 00:46:41 EDT
Description of problem:
The latest gdm for F9 does not show the Language choice menu by default
after a fresh install.  This means that for new installs and Live that users 
can't choose a different language for their session than the system default
the first time they log in.

Version-Release number of selected component (if applicable):
gdm-2.22.0-1.fc9

How reproducible:
every time

Steps to Reproduce:
1. Do a fresh install of pre-f9 rawhide or boot a Live spin
2. True to login to a desktop session with a choice of language
  
Actual results:
2. No Language menu shown initially.

Expected results:
2. Language menu to be shown always.

Additional info:
After logging out the Language menu appears.
I think this regression was introduced with some late changes
the UI of the Menus.
Comment 1 Jon Stanley 2008-05-08 01:41:13 EDT
Confirmed.  I'm going to yank this from the blocker and put on Target, though. 
I'm pretty sure that whatever the default language of the system selected during
installation is will be used per testing earlier today.  Copying Will and Jesse
for comments there.  But I don't think we slip for this.
Comment 2 Jens Petersen 2008-05-08 02:05:51 EDT
Hmm well I agree it is less serious for standard installs,
but Live images have system locale hardcoded to en_US.UTF-8.

Wish I had believed my eyes and filed yesterday...
Comment 3 Ray Strode [halfline] 2008-05-08 09:39:31 EDT
Are you guys sure?  Note, you won't get language selection until you pick a user.
Comment 4 Jon Stanley 2008-05-08 10:25:44 EDT
Yep, positive :(

I also don't remember seeing a desktop selection at any time, but that may be
because I didn't have anything other than GNOME on that VM, or maybe cuz my
resolution was 800x600 and it wouldn't fit.
Comment 5 Jens Petersen 2008-05-08 19:37:00 EDT
(In reply to comment #4)
> I also don't remember seeing a desktop selection at any time

That's a late feature, unless you installed more than one desktop:
I haven't tested that install case.
Comment 6 Jens Petersen 2008-05-08 23:12:16 EDT
> > I also don't remember seeing a desktop selection at any time
:
> I haven't tested that install case.

Okay, so I actually tested! and that part works correctly:
if I install with GNOME and KDE (and XFCE for good measure) the
Session selector does appear for the initial login.
Comment 7 Matthias Clasen 2008-05-09 23:48:23 EDT
Created attachment 304998 [details]
patch

Here is a patch which fixes this recent regression.
Comment 8 Ray Strode [halfline] 2008-05-10 00:02:49 EDT
ah good catch, thanks Matthias.
Comment 9 Ray Strode [halfline] 2008-05-10 00:14:27 EDT
marking MODIFIED

gdm-2.22.0-4.fc9

we should get this into the pending update
Comment 10 Matthias Clasen 2008-05-12 17:30:58 EDT
I've updated the update to -4
Comment 11 Jens Petersen 2008-05-12 23:20:41 EDT
Funny I can no longer reproduce the problem on Live images with F9 final.
Comment 12 Fedora Update System 2008-05-13 11:27:29 EDT
gdm-2.22.0-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3761
Comment 13 Bug Zapper 2008-05-14 06:49:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Update System 2008-05-21 07:08:25 EDT
gdm-2.22.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jens Petersen 2008-06-10 23:47:48 EDT
This still happens with gdm-2.22.0-6.fc10.
Comment 16 Tony Fu 2008-09-09 23:11:09 EDT
requested by Jens Petersen (#27995)
Comment 17 Bug Zapper 2009-06-09 20:40:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping